<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" omit-xml-declaration="yes" indent="yes" />
  <xsl:param name="this_page"/>
  <xsl:template match="/items/item">
    <p class="ancestors">
      <xsl:element name="a">
        <xsl:attribute name="class"><xsl:text>root</xsl:text></xsl:attribute>
        <xsl:attribute name="href"><xsl:value-of select="link"/></xsl:attribute>
        <xsl:value-of select="title"/>
      </xsl:element>
      <span class="seperator root">  </span>
      <xsl:for-each select="item">
        <xsl:call-template name="list"/>
        
      </xsl:for-each>
    </p>
  </xsl:template>
  <xsl:template name="list">
    <xsl:choose>
      <xsl:when test="(descendant::item[link = $this_page])">
        <xsl:element name="a">
          <xsl:attribute name="href"><xsl:value-of select="link"/></xsl:attribute>
          <xsl:value-of select="title"/>
        </xsl:element>
        <span class="seperator">  </span>
        <xsl:for-each select="item">
          <xsl:call-template name="list"/></xsl:for-each>
      </xsl:when>
      <xsl:when test="link = $this_page">
        <strong class="current"><xsl:value-of select="title" /></strong>
      </xsl:when>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>
