<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="xml" omit-xml-declaration="yes"/>
  <!-- strip all spaces -->
  <xsl:strip-space elements="item" />
  <xsl:template match="/items">
    <!-- apply the body template -->
    <xsl:apply-templates select="item" /></xsl:template>
  <xsl:template match="item">
    <!-- create A-Z list -->
    
    <ul class="atozlist" id="toc">
      <li>
        <xsl:choose>
          <!-- if entries exist show link -->
          <xsl:when test="/items//item[substring(title, 1, 1)='A']">
            <a href="#a">A</a>
          </xsl:when>
          <!-- otherwise show bold unlinked -->
          <xsl:otherwise>
            <strong>Z</strong>
          </xsl:otherwise>
        </xsl:choose>
      </li>
      <li>
        <xsl:choose>
          <!-- if entries exist show link -->
          <xsl:when test="/items//item[substring(title, 1, 1)='B']">
            <a href="#b">B</a>
          </xsl:when>
          <!-- otherwise show bold unlinked -->
          <xsl:otherwise>
            <strong>B</strong>
          </xsl:otherwise>
        </xsl:choose>
      </li>
      <li>
        <xsl:choose>
          <!-- if entries exist show link -->
          <xsl:when test="/items//item[substring(title, 1, 1)='C']">
            <a href="#c">C</a>
          </xsl:when>
          <!-- otherwise show bold unlinked -->
          <xsl:otherwise>
            <strong>C</strong>
          </xsl:otherwise>
        </xsl:choose>
      </li>
      <li>
        <xsl:choose>
          <!-- if entries exist show link -->
          <xsl:when test="/items//item[substring(title, 1, 1)='D']">
            <a href="#d">D</a>
          </xsl:when>
          <!-- otherwise show bold unlinked -->
          <xsl:otherwise>
            <strong>D</strong>
          </xsl:otherwise>
        </xsl:choose>
      </li>
      <li>
        <xsl:choose>
          <!-- if entries exist show link -->
          <xsl:when test="/items//item[substring(title, 1, 1)='E']">
            <a href="#e">E</a>
          </xsl:when>
          <!-- otherwise show bold unlinked -->
          <xsl:otherwise>
            <strong>E</strong>
          </xsl:otherwise>
        </xsl:choose>
      </li>
      <li>
        <xsl:choose>
          <!-- if entries exist show link -->
          <xsl:when test="/items//item[substring(title, 1, 1)='F']">
            <a href="#f">F</a>
          </xsl:when>
          <!-- otherwise show bold unlinked -->
          <xsl:otherwise>
            <strong>F</strong>
          </xsl:otherwise>
        </xsl:choose>
      </li>
      <li>
        <xsl:choose>
          <!-- if entries exist show link -->
          <xsl:when test="/items//item[substring(title, 1, 1)='G']">
            <a href="#g">G</a>
          </xsl:when>
          <!-- otherwise show bold unlinked -->
          <xsl:otherwise>
            <strong>G</strong>
          </xsl:otherwise>
        </xsl:choose>
      </li>
      <li>
        <xsl:choose>
          <!-- if entries exist show link -->
          <xsl:when test="/items//item[substring(title, 1, 1)='H']">
            <a href="#h">H</a>
          </xsl:when>
          <!-- otherwise show bold unlinked -->
          <xsl:otherwise>
            <strong>H</strong>
          </xsl:otherwise>
        </xsl:choose>
      </li>
      <li>
        <xsl:choose>
          <!-- if entries exist show link -->
          <xsl:when test="/items//item[substring(title, 1, 1)='I']">
            <a href="#i">I</a>
          </xsl:when>
          <!-- otherwise show bold unlinked -->
          <xsl:otherwise>
            <strong>I</strong>
          </xsl:otherwise>
        </xsl:choose>
      </li>
      <li>
        <xsl:choose>
          <!-- if entries exist show link -->
          <xsl:when test="/items//item[substring(title, 1, 1)='J']">
            <a href="#j">J</a>
          </xsl:when>
          <!-- otherwise show bold unlinked -->
          <xsl:otherwise>
            <strong>J</strong>
          </xsl:otherwise>
        </xsl:choose>
      </li>
      <li>
        <xsl:choose>
          <!-- if entries exist show link -->
          <xsl:when test="/items//item[substring(title, 1, 1)='K']">
            <a href="#k">K</a>
          </xsl:when>
          <!-- otherwise show bold unlinked -->
          <xsl:otherwise>
            <strong>K</strong>
          </xsl:otherwise>
        </xsl:choose>
      </li>
      <li>
        <xsl:choose>
          <!-- if entries exist show link -->
          <xsl:when test="/items//item[substring(title, 1, 1)='L']">
            <a href="#l">L</a>
          </xsl:when>
          <!-- otherwise show bold unlinked -->
          <xsl:otherwise>
            <strong>L</strong>
          </xsl:otherwise>
        </xsl:choose>
      </li>
      <li>
        <xsl:choose>
          <!-- if entries exist show link -->
          <xsl:when test="/items//item[substring(title, 1, 1)='M']">
            <a href="#m">M</a>
          </xsl:when>
          <!-- otherwise show bold unlinked -->
          <xsl:otherwise>
            <strong>M</strong>
          </xsl:otherwise>
        </xsl:choose>
      </li>
      <li>
        <xsl:choose>
          <!-- if entries exist show link -->
          <xsl:when test="/items//item[substring(title, 1, 1)='N']">
            <a href="#n">N</a>
          </xsl:when>
          <!-- otherwise show bold unlinked -->
          <xsl:otherwise>
            <strong>N</strong>
          </xsl:otherwise>
        </xsl:choose>
      </li>
      <li>
        <xsl:choose>
          <!-- if entries exist show link -->
          <xsl:when test="/items//item[substring(title, 1, 1)='O']">
            <a href="#o">O</a>
          </xsl:when>
          <!-- otherwise show bold unlinked -->
          <xsl:otherwise>
            <strong>O</strong>
          </xsl:otherwise>
        </xsl:choose>
      </li>
      <li>
        <xsl:choose>
          <!-- if entries exist show link -->
          <xsl:when test="/items//item[substring(title, 1, 1)='P']">
            <a href="#p">P</a>
          </xsl:when>
          <!-- otherwise show bold unlinked -->
          <xsl:otherwise>
            <strong>P</strong>
          </xsl:otherwise>
        </xsl:choose>
      </li>
      <li>
        <xsl:choose>
          <!-- if entries exist show link -->
          <xsl:when test="/items//item[substring(title, 1, 1)='Q']">
            <a href="#q">Q</a>
          </xsl:when>
          <!-- otherwise show bold unlinked -->
          <xsl:otherwise>
            <strong>Q</strong>
          </xsl:otherwise>
        </xsl:choose>
      </li>
      <li>
        <xsl:choose>
          <!-- if entries exist show link -->
          <xsl:when test="/items//item[substring(title, 1, 1)='R']">
            <a href="#r">R</a>
          </xsl:when>
          <!-- otherwise show bold unlinked -->
          <xsl:otherwise>
            <strong>R</strong>
          </xsl:otherwise>
        </xsl:choose>
      </li>
      <li>
        <xsl:choose>
          <!-- if entries exist show link -->
          <xsl:when test="/items//item[substring(title, 1, 1)='S']">
            <a href="#s">S</a>
          </xsl:when>
          <!-- otherwise show bold unlinked -->
          <xsl:otherwise>
            <strong>S</strong>
          </xsl:otherwise>
        </xsl:choose>
      </li>
      <li>
        <xsl:choose>
          <!-- if entries exist show link -->
          <xsl:when test="/items//item[substring(title, 1, 1)='T']">
            <a href="#t">T</a>
          </xsl:when>
          <!-- otherwise show bold unlinked -->
          <xsl:otherwise>
            <strong>T</strong>
          </xsl:otherwise>
        </xsl:choose>
      </li>
      <li>
        <xsl:choose>
          <!-- if entries exist show link -->
          <xsl:when test="/items//item[substring(title, 1, 1)='V']">
            <a href="#v">V</a>
          </xsl:when>
          <!-- otherwise show bold unlinked -->
          <xsl:otherwise>
            <strong>V</strong>
          </xsl:otherwise>
        </xsl:choose>
      </li>
      <li>
        <xsl:choose>
          <!-- if entries exist show link -->
          <xsl:when test="/items//item[substring(title, 1, 1)='W']">
            <a href="#w">W</a>
          </xsl:when>
          <!-- otherwise show bold unlinked -->
          <xsl:otherwise>
            <strong>W</strong>
          </xsl:otherwise>
        </xsl:choose>
      </li>
      <li>
        <xsl:choose>
          <!-- if entries exist show link -->
          <xsl:when test="/items//item[substring(title, 1, 1)='X']">
            <a href="#x">X</a>
          </xsl:when>
          <!-- otherwise show bold unlinked -->
          <xsl:otherwise>
            <strong>X</strong>
          </xsl:otherwise>
        </xsl:choose>
      </li>
      <li>
        <xsl:choose>
          <!-- if entries exist show link -->
          <xsl:when test="/items//item[substring(title, 1, 1)='Y']">
            <a href="#y">Y</a>
          </xsl:when>
          <!-- otherwise show bold unlinked -->
          <xsl:otherwise>
            <strong>Y</strong>
          </xsl:otherwise>
        </xsl:choose>
      </li>
      <li>
        <xsl:choose>
          <!-- if entries exist show link -->
          <xsl:when test="/items//item[substring(title, 1, 1)='Z']">
            <a href="#z">Z</a>
          </xsl:when>
          <!-- otherwise show bold unlinked -->
          <xsl:otherwise>
            <strong>Z</strong>
          </xsl:otherwise>
        </xsl:choose>
      </li>
    </ul>
  </xsl:template>
</xsl:stylesheet>
