<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="xml" omit-xml-declaration="yes"/>
  <xsl:strip-space elements="item" />
  <xsl:param name="this_page" />
  <xsl:template match="items">
    <xsl:for-each select="//item/item[link = $this_page]">
      <xsl:call-template name="list" />
    </xsl:for-each>
  </xsl:template>
  <xsl:template name="list">
    <a class="parent">
    <xsl:attribute name="href"><xsl:value-of select="../link"/></xsl:attribute>
    <xsl:value-of select="../title" /></a>
  </xsl:template>
</xsl:stylesheet>